package com.imprimelibros.erp.presupuesto.validation;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

@Documented
@Constraint(validatedBy = ParValidator.class)
@Target({ ElementType.FIELD, ElementType.METHOD, ElementType.PARAMETER })
@Retention(RetentionPolicy.RUNTIME)
public @interface Par {
    String message() default "El valor debe ser un número par";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
